<?php

add_action( 'admin_notices', function() {
	$site_locale = get_locale();
	$user_locale = get_user_locale();

	$test_string_before_switch = __( 'Untranslated default string.', 'test' );

	$locale_switched = switch_to_locale( $site_locale );

	$test_string_after_switch = __( 'Untranslated default string.', 'test' );

	echo '<div class="notice notice-warning">
		<p>
			<strong>Site Locale:</strong> ' . $site_locale . '<br>
			<strong>User Locale:</strong> ' . $user_locale . '<br>
			<strong>Test string before switch:</strong> <code>' . $test_string_before_switch. '</code> (should be in User Locale)<br>
			<strong>Test string after switch:</strong> <code> ' . $test_string_after_switch. '</code> (should be the same as Test string before switch)
	</p></div>';

	if ( $locale_switched ) {
		restore_previous_locale();
	}
} );

add_action( 'after_setup_theme', function() {
	load_theme_textdomain( 'test', get_template_directory() . '/languages' );

	if ( ! is_admin() ) {
		do_action( 'admin_notices' );
	}
} );
